local TutorialWhiteUI = class("TutorialWhiteUI", BaseUI)

function TutorialWhiteUI:getPrefabPath()
	return "assets/prefabs/ui/tutorial/tutorial_white_ui.prefab"
end

function TutorialWhiteUI:onLoadRootComplete()
	local uiMap = self.root:genAllChildren()
	local whiteImg = uiMap["battle_buff_tips.mask"]
	whiteImg:getComponent(GConst.TYPEOF_UNITY_CLASS.UI_IMAGE).color = BF.ColorWhiteAlpha

	self.seq = DOTweenManager:createSeqWithIntId(id)
	local fadeIn = whiteImg:getComponent(GConst.TYPEOF_UNITY_CLASS.UI_IMAGE):DOFade(1, 1.8)
	self.seq:Append(fadeIn)
	self.seq:AppendCallback(function()
		self.seq = nil
	end)
end

function TutorialWhiteUI:onClose()
	if self.seq then
		self.seq:Kill()
	end
end

return TutorialWhiteUI